Portfolio

Create an investor

POST/portfolio/investors

Creates a new investor record. If an investor with the given GUID or username already exists, the existing record is returned instead. All fields (client_reference, name, email, source, source_id) are required.

Request body

application/json, required · PortfolioStoreInvestorRequest

  • client_referencestringRequired#
  • namestringRequired#
  • emailstringRequired#
  • sourcestringRequired#
  • source_idstringRequired#
{
  "client_reference": "string",
  "name": "string",
  "email": "string",
  "source": "string",
  "source_id": "string"
}

Responses

200

InvestorResource

PortfolioInvestorResource
{
  "data": {
    "id": 1,
    "client_reference": "string",
    "guid": "string",
    "email": "string",
    "source": "string",
    "name": "string",
    "source_id": "string",
    "created_at": "string",
    "updated_at": "string"
  }
}
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/investors\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "client_reference": "string",
  "name": "string",
  "email": "string",
  "source": "string",
  "source_id": "string"
}'